package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 sys_plan
 * 
 * @author ruoyi
 * @date 2022-06-09
 */
public class SysPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 施工路段 */
    @Excel(name = "施工路段")
    private String section;

    /** 方向 */
    @Excel(name = "方向")
    private String direction;

    /** 开始公里桩 */
    @Excel(name = "开始公里桩")
    private String startKm;

    /** 开始百米桩 */
    @Excel(name = "开始百米桩")
    private String startHectometer;

    /** 结束公里桩 */
    @Excel(name = "结束公里桩")
    private String endKm;

    /** 结束百米桩 */
    @Excel(name = "结束百米桩")
    private String endHectometer;

    /** 预计开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 预计结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 施工单位 */
    @Excel(name = "施工单位")
    private String dept;

    /** 录入人 */
    @Excel(name = "录入人")
    private String creatUser;

    /** 桥梁长度及净宽 */
    @Excel(name = "桥梁长度及净宽")
    private String bridgeHeightWidth;

    /** 公路等级 */
    @Excel(name = "公路等级")
    private String level;

    /** 批准手续 */
    @Excel(name = "批准手续")
    private String fileUrl;

    /** 施工内容一 */
    @Excel(name = "施工内容一")
    private String contentOne;

    /** 施工内容二 */
    @Excel(name = "施工内容二")
    private String contentTwo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSection(String section) 
    {
        this.section = section;
    }

    public String getSection() 
    {
        return section;
    }
    public void setDirection(String direction) 
    {
        this.direction = direction;
    }

    public String getDirection() 
    {
        return direction;
    }
    public void setStartKm(String startKm) 
    {
        this.startKm = startKm;
    }

    public String getStartKm() 
    {
        return startKm;
    }
    public void setStartHectometer(String startHectometer) 
    {
        this.startHectometer = startHectometer;
    }

    public String getStartHectometer() 
    {
        return startHectometer;
    }
    public void setEndKm(String endKm) 
    {
        this.endKm = endKm;
    }

    public String getEndKm() 
    {
        return endKm;
    }
    public void setEndHectometer(String endHectometer) 
    {
        this.endHectometer = endHectometer;
    }

    public String getEndHectometer() 
    {
        return endHectometer;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setDept(String dept) 
    {
        this.dept = dept;
    }

    public String getDept() 
    {
        return dept;
    }
    public void setCreatUser(String creatUser) 
    {
        this.creatUser = creatUser;
    }

    public String getCreatUser() 
    {
        return creatUser;
    }
    public void setBridgeHeightWidth(String bridgeHeightWidth) 
    {
        this.bridgeHeightWidth = bridgeHeightWidth;
    }

    public String getBridgeHeightWidth() 
    {
        return bridgeHeightWidth;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setContentOne(String contentOne) 
    {
        this.contentOne = contentOne;
    }

    public String getContentOne() 
    {
        return contentOne;
    }
    public void setContentTwo(String contentTwo) 
    {
        this.contentTwo = contentTwo;
    }

    public String getContentTwo() 
    {
        return contentTwo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("status", getStatus())
            .append("section", getSection())
            .append("direction", getDirection())
            .append("startKm", getStartKm())
            .append("startHectometer", getStartHectometer())
            .append("endKm", getEndKm())
            .append("endHectometer", getEndHectometer())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("dept", getDept())
            .append("creatUser", getCreatUser())
            .append("createTime", getCreateTime())
            .append("bridgeHeightWidth", getBridgeHeightWidth())
            .append("level", getLevel())
            .append("fileUrl", getFileUrl())
            .append("contentOne", getContentOne())
            .append("contentTwo", getContentTwo())
            .toString();
    }
}
